imagefree
Prev | Orchestra Opcodes and Operators | Next

## imagefree

imagecreate — Frees memory allocated for a previously loaded or created image.

## Description

Frees memory allocated for a previously loaded or created image.

## Syntax

    imagefree iimagenum

## Initialization

iimagenum -- reference of the image to free.

## Examples

Here is an example of the imagefree opcode. It uses the file imageopcodes.csd.

Example 246. Example of the imagefree opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    ;-odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    -o imageopcodes.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>
    sr=48000
    ksmps=1
    nchnls=2

    ; this test .csd copies image.png into a new file 'imageout.png'

    giimage1 imageload "image.png"
    giimagew, giimageh imagesize giimage1
    giimage2 imagecreate giimagew,giimageh

        instr 1

    kndx = 0
    kx_ linseg 0, p3, 1

    myloop:
    ky_ = kndx/(giimageh)
    kr_ kg_ kb_ imagegetpixel giimage1, kx_, ky_
    imagesetpixel giimage2, kx_, ky_, kr_, kg_, kb_
    loop_lt kndx, 0.5, (giimageh), myloop
        endin

        instr 2

    imagesave giimage2, "imageout.png"
        endin

        instr 3
    imagefree giimage1
    imagefree giimage2
        endin

    </CsInstruments>
    <CsScore>

    i1 1 1
    i2 2 1
    i3 3 1
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

imageload, imagecreate, imagesize, imagesave, imagegetpixel, imagesetpixel

## Credits

Author: Cesare Marilungo

New in version 5.08

Prev | Up | Next
imagecreate | Home | imagegetpixel